# run classify.py for all files in /eval
# Usage: ./run_eval.sh

# Do SVM Multi-Modal Classification
for file in eval/*.png; do
	extension="${file##*.}"
	filename="${file%.*}"
	echo "$filename.png, $filename.wav"
	python classify.py --svm --mm "$filename.png" "$filename.wav" >> SVM_Audio_Image.csv
done

# Do GMM Multi-Modal Classification
for file in eval/*.png; do
	extension="${file##*.}"
	filename="${file%.*}"
	echo "$filename.png, $filename.wav"
	python classify.py --gmm --mm "$filename.png" "$filename.wav" >> GMM_Audio_Image.csv
done